Plank.Theme.draw_rounded_line – plank Reference Manual

# draw_rounded_line

## Description:

public static void draw_rounded_line (Context cr, double x, double y, double width, double height, bool is_round_left, bool is_round_right, Pattern? stroke = null, Pattern? fill = null)

Draws a rounded horizontal line.

## Parameters:

cr | the context to draw with
x | the x location of the line
y | the y location of the line
width | the width of the line
height | the height of the line
is_round_left | weather the left is round or not
is_round_right | weather the right is round or not
stroke | filling style of the outline
fill | filling style of the inner area